/*
 *  file      : src/wind_about.c
 *  project   : b2im
 *  copyright : (C) 2015 by BULIN Claude
 * 
 *  This file is part of b2im project
 * 
 *  b2im is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; version 3.
 * 
 *  b2im is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 * 
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 *  USA
 */


#ifdef HAVE_CONFIG_H
	#include "../config.h"
#endif
#include <gtk/gtk.h>
#include <glib.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#ifdef ENABLE_STATIC_LIBRARY
	#include "../lib_b2im/lib.h"
#endif

#include "global.h"


GtkBuilder	*GtkBuilderProjet_wind_about = NULL;
GtkWidget	*WindMain_wind_about = NULL;

gboolean on_aboutdialog_delete_event( GtkWidget *widget, GdkEvent *event, gpointer user_data )
{
	gtk_widget_destroy( WindMain_wind_about );
	WindMain_wind_about = NULL;
	GtkBuilderProjet_wind_about = NULL;
	return (TRUE);
}

gboolean on_aboutdialog_destroy_event( GtkWidget *widget, GdkEvent *event, gpointer user_data )
{
	gtk_widget_destroy( WindMain_wind_about );
	WindMain_wind_about = NULL;
	GtkBuilderProjet_wind_about = NULL;
	return (TRUE);
}

void on_aboutdialog_response( GtkWidget *widget, gpointer user_data )
{
	gtk_widget_destroy( WindMain_wind_about );
	WindMain_wind_about = NULL;
	GtkBuilderProjet_wind_about = NULL;
}


gboolean wind_about_init( GtkWidget *FromWindMain )
{
	gchar	*PackageVersion = NULL;

	if( NULL == (GtkBuilderProjet_wind_about = Builder_open( "wind_about.glade", GtkBuilderProjet_wind_about ))) {
		return( EXIT_FAILURE );
	}
	// Add language support from glade file
	gtk_builder_set_translation_domain(  GtkBuilderProjet_wind_about, "wind_about" );
	gtk_builder_connect_signals( GtkBuilderProjet_wind_about, NULL );

	WindMain_wind_about = GTK_WIDGET( gtk_builder_get_object( GtkBuilderProjet_wind_about, "wind_about" ));

	if( NULL != FromWindMain ) {
		gtk_window_set_transient_for (GTK_WINDOW(WindMain_wind_about), GTK_WINDOW(FromWindMain));
		gtk_window_set_modal (GTK_WINDOW(WindMain_wind_about), TRUE);
	}
	// resize window
	// gtk_window_resize(GTK_WINDOW(WindMain_wind_about), Config.WinWidth, Config.WinHeight);
	// place the window
	// gtk_window_move(GTK_WINDOW(WindMain_wind_about), Config.WinPos_X, Config.WinPos_Y);
	// icon apply
	// libutils_set_default_icone_to_win( WindMain_wind_about, "b2im.png"  );

	PackageVersion = g_strdup_printf( "%s  -  %s", PACKAGE_NAME, VERSION );
	gtk_window_set_title( GTK_WINDOW( WindMain_wind_about ), PackageVersion );
	g_free( PackageVersion );
	PackageVersion = NULL;

	// place your initialization code here

	gtk_widget_show_all( WindMain_wind_about );

	return( TRUE );
}

